Karia
ReferencesOpenapiOrigination

Calculate novated vehicle pricing

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-novated-vehicle

Calculate novated vehicle pricing for the specified quote and return the derived vehicle pricing details.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string
quoteId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-novated-vehicle"
{
  "type": "novated_vehicle",
  "details": {
    "vehiclePrice": {
      "exGstAmount": "string",
      "gstAmount": "string",
      "incGstAmount": "string"
    },
    "dealerFees": {
      "exGstAmount": "string",
      "gstAmount": "string",
      "incGstAmount": "string"
    },
    "stampDuty": {
      "amount": "string",
      "defaultValue": "2000.00"
    },
    "initialRegistration": {
      "amount": "string",
      "defaultValue": "3500.00"
    },
    "luxuryCarTax": {
      "amount": "string",
      "estimatedValue": "2000.00"
    },
    "totalStatutoryCosts": "string",
    "gstClaimed": "string",
    "totalVehicleAmountFinanced": "string"
  }
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}